package pakiet;

import java.util.Calendar;
import java.util.GregorianCalendar;

public class Person {
	private String firstName;
	private String lastName;
	private Sex sex;
	private Calendar birthDate;
	private Address address;

	public Person() {
		
	}
	
	public Person(String firstName, String lastName, Sex sex, Calendar birthDate, Address address) {
		super();
		this.firstName = firstName;
		this.lastName = lastName;
		this.sex = sex;
		this.birthDate = birthDate;
		this.address = address;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public Sex getSex() {
		return sex;
	}

	public void setSex(Sex sex) {
		this.sex = sex;
	}

	public Calendar getBirthDate() {
		return birthDate;
	}

	public void setBirthDate(Calendar birthDate) {
		this.birthDate = birthDate;
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public static Person example() {
		Calendar born = new GregorianCalendar(1990, 4, 14);
		Address address = Address.example();
		return new Person("Jan", "Kowalski", Sex.MAN, born, address);
	}
}
