package pl.mimuw.xml.kalkulator.impl;


import pl.mimuw.xml.kalkulator.*;

import javax.jws.WebService;
import javax.xml.ws.Holder;

@WebService(serviceName = "Kalkulator", endpointInterface = "pl.mimuw.xml.kalkulator.Kalkulator", targetNamespace = "http://kalkulator.javatech.pl")
public class KalkulatorImpl implements Kalkulator {
	public int iadd(int arg1, int arg2) {
		return arg1+arg2;
	}

	public int isub(int arg1, int arg2) {
		return arg1-arg2;
	}

	public void idiv(Holder<Integer> arg1, Holder<Integer> arg2) {
		int wynik1 = arg1.value / arg2.value;
		int wynik2 = arg1.value % arg2.value;
		
		arg1.value = wynik1;
		arg2.value = wynik2;
	}

	public void dziel(int arg1, int arg2,
			Holder<Integer> quotient, Holder<Integer> rest) {
		quotient.value = arg1 / arg2;
		rest.value = arg1 % arg2;
	}

	public float fsum(FloatSequence args) {
		float sum = 0.0f;
		for(float arg : args.getArg()) {
			sum += arg;
		}
		return sum;
	}

	public float favg(FloatSequence args) {
		float sum = 0.0f;
		int count = 0;
		for(float arg : args.getArg()) {
			sum += arg;
			++count;
		}
		return sum / count;
	}
}
